		label {
            display: block;
            margin-bottom: 5px;
            font-weight: bold;
        }
        .input[type="text"] {
            flex: 1;
            padding: 12px 20px;
            border: 2px solid #e0e0e0;
            border-radius: 10px;
			background-color: #fff;
			font-size: inherit;
			min-width: 350px;
        }
        
        .button {
            padding: 12px 30px;
			margin-left: 10px;
            background: #069dfa;
            color: white;
            border: none;
            border-radius: 10px;
            cursor: pointer;
			font-size: inherit;
        }
        .button:hover {
            opacity: 0.9;
        }
        .button:disabled {
            background-color: #cccccc;
            cursor: not-allowed;
        }
		
		@media screen and (max-width: 959px) {.input[type="text"]{min-width: 250px;} .button{margin-top: 14px; margin-left: 0px;}}
		
        .error {
            color: #ff3638;          
        }
        .success {
            color: #388e3c;
        }
        .cert-info {
            background: white;
            padding: 15px;
            margin: 10px 0;
            border-radius: 8px;
            border: 1px solid #e0e0e0;
			word-break: break-word;
        }
        .cert-type {
            font-weight: bold;
            color: #2c3e50;
            margin-bottom: 15px;            
            border-bottom: 2px solid #e0e0e0;
            padding-bottom: 5px;
			text-align: center;
        }
        .cert-field {
            margin-bottom: 8px;
            display: flex;
        }        
        .cert-label {
            font-weight: bold;
            width: 30%;
			padding-right: 10px;
        }
        .cert-value {
			flex: 1;
        }
   
        .domain {
            color: #2c3e50;            
            margin-bottom: 10px;
        }
        .status {            
            font-weight: bold;
            padding: 20px 0;
            border-radius: 5px;
        }
        .status-valid {            
            color: #388e3c;
        }        
        .results-section {
            padding-top: 0 20px;
        }
        .loading {
            text-align: center;
            padding: 20px;
        }
		.spinner {
            border: 3px solid #f3f3f3;
            border-top: 3px solid #3498db;
            border-radius: 50%;
            width: 30px;
            height: 30px;
            animation: spin 1s linear infinite;
            margin: 0 auto 15px;
        }
        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }
        .hidden {
            display: none;
        }